import { React, PropTypes, FormattedMessage } from '../../dependencies';

var UnseenSeparator = function UnseenSeparator(_ref) {
    var unseen = _ref.unseen;
    return React.createElement(
        "div",
        { className: "conversation__messages-separator conversation__messages-unseen-separator" },
        React.createElement("hr", null),
        React.createElement(FormattedMessage, { id: "chat.messages.unseen", values: { unseen: unseen } }),
        React.createElement("hr", null)
    );
};

UnseenSeparator.propTypes = {
    unseen: PropTypes.number.isRequired
};

export default UnseenSeparator;