'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _dependencies = require('../dependencies');

var _actions = require('../services/actions');

var actions = _interopRequireWildcard(_actions);

var _constants = require('../services/constants');

var _constants2 = _interopRequireDefault(_constants);

var _MessageForm = require('../components/Messages/MessageForm');

var _MessageForm2 = _interopRequireDefault(_MessageForm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

var mapStateToProps = function mapStateToProps(state, _ref) {
    var userId = _ref.userId,
        conversationId = _ref.conversationId;
    return {
        initialValues: {
            userId: userId,
            conversationId: conversationId
        }
    };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
    return {
        actions: (0, _dependencies.bindActionCreators)(actions, dispatch),
        onSubmit: (0, _dependencies.bindActionCreators)((0, _dependencies.submitFormAction)(_constants2.default.NEW_MESSAGE_FORM_ID, actions.createMessage), dispatch)
    };
};

exports.default = (0, _dependencies.compose)((0, _dependencies.connect)(mapStateToProps, mapDispatchToProps), (0, _dependencies.reduxForm)({
    form: _constants2.default.NEW_MESSAGE_FORM_ID,
    enableReinitialize: true,
    destroyOnUnmount: false
}))(_MessageForm2.default);