'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _dependencies = require('../dependencies');

exports.default = _extends({
    INC_CHAT: '@@chat/INC_CHAT',
    INC_SENT_MESSAGES: '@@chat/INC_SENT_MESSAGES',
    SEARCH_CONVERSATIONS: '@@chat/SEARCH_CONVERSATIONS',
    SET_SEEN: '@@chat/SET_SEEN',
    SET_SEEN_MESSAGES: '@@chat/SET_SEEN_MESSAGES',
    TOGGLE_USER_ONLINE: '@@chat/TOGGLE_USER_ONLINE'
}, (0, _dependencies.createType)('CREATE_IMAGE_MESSAGE'), (0, _dependencies.createType)('CREATE_TEXT_MESSAGE'), {
    CONVERSATION_ENTER: 'CONVERSATION_ENTER',
    CONVERSATION_LEAVE: 'CONVERSATION_LEAVE',
    CONVERSATION_MESSAGES_LOADED: 'CONVERSATION_MESSAGES_LOADED'
});