# What we use

We use [Redux](https://redux.js.org/docs/introduction/) and [React](https://reactjs.org) for frontend development.

### Dev Stack

-   [eslint-config-ackee](https://www.npmjs.com/package/eslint-config-ackee)

### Routing

 [React router](https://reacttraining.com/react-router/) with [bindings for Redux](https://github.com/supasate/connected-react-router)

### React Components

We use components kit [Ant Design](https://ant.design/docs/react/introduce).

If we need to have forms in our app, we use [redux-form](https://github.com/zhDmitry/redux-form-antd) and then
[redux-form bindings](https://github.com/zhDmitry/redux-form-antd) for antd components are very useful.

#### Other

-   [Scrollbar](https://github.com/malte-wessel/react-custom-scrollbars)
-   [InfiniteScroll](https://github.com/CassetteRocks/react-infinite-scroller) - component for lazy loading

### Utilities

-   [Lodash](https://lodash.com/docs/4.17.4)
-   Date and time - [momentjs](http://momentjs.com)
