import { React, FormattedMessage, PropTypes } from '../dependencies';

var LoadMoreButton = function LoadMoreButton(_ref) {
    var onClick = _ref.onClick,
        disabled = _ref.disabled;
    return React.createElement(
        "button",
        { onClick: onClick, disabled: disabled },
        React.createElement(FormattedMessage, { id: "chat.button.load" })
    );
};

LoadMoreButton.propTypes = {
    onClick: PropTypes.func.isRequired,
    disabled: PropTypes.bool
};

LoadMoreButton.defaultProps = {
    disabled: false
};

export default LoadMoreButton;