import { connect, bindActionCreators, submitFormAction } from '../dependencies';

import * as chatActions from '../services/actions';

import constants from '../services/constants';
import SearchForm from '../components/Conversations/SearchForm';

export default connect(null, function (dispatch) {
    return {
        onSubmit: bindActionCreators(submitFormAction(constants.SEARCH_CONVERSATION_FORM_ID, chatActions.searchConversations), dispatch)
    };
})(SearchForm);