var _marked = /*#__PURE__*/regeneratorRuntime.mark(retreiveLocaleFromLocaleStorage),
    _marked2 = /*#__PURE__*/regeneratorRuntime.mark(_callee);

import { sagaEffects } from '../../dependencies';

import { setLocale } from '../actions';
import types from '../actionTypes';
import { LocalStorageHandlers } from '../utilities';

var takeEvery = sagaEffects.takeEvery,
    all = sagaEffects.all,
    put = sagaEffects.put;


function saveLocaleToLocalStorage(action) {
    var locale = action.locale;

    LocalStorageHandlers.saveLocale(locale);
}

function retreiveLocaleFromLocaleStorage() {
    var locale;
    return regeneratorRuntime.wrap(function retreiveLocaleFromLocaleStorage$(_context) {
        while (1) {
            switch (_context.prev = _context.next) {
                case 0:
                    locale = LocalStorageHandlers.loadLocale();

                    if (!locale) {
                        _context.next = 4;
                        break;
                    }

                    _context.next = 4;
                    return put(setLocale(locale));

                case 4:
                case 'end':
                    return _context.stop();
            }
        }
    }, _marked, this);
}

export default function _callee() {
    return regeneratorRuntime.wrap(function _callee$(_context2) {
        while (1) {
            switch (_context2.prev = _context2.next) {
                case 0:
                    _context2.next = 2;
                    return all([takeEvery(types.SET_LOCALE, saveLocaleToLocalStorage), retreiveLocaleFromLocaleStorage()]);

                case 2:
                case 'end':
                    return _context2.stop();
            }
        }
    }, _marked2, this);
}