'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _componentName = require('../helpers/componentName');

var _componentName2 = _interopRequireDefault(_componentName);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var defaultEqualityChecker = function defaultEqualityChecker(props, nextProps) {
    return _lodash2.default.isEqual(props, nextProps);
};

var pure = function pure() {
    var equalityChecker = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : defaultEqualityChecker;
    return function (UnpureComponent) {
        var PureComponent = function (_React$Component) {
            _inherits(PureComponent, _React$Component);

            function PureComponent() {
                _classCallCheck(this, PureComponent);

                return _possibleConstructorReturn(this, (PureComponent.__proto__ || Object.getPrototypeOf(PureComponent)).apply(this, arguments));
            }

            _createClass(PureComponent, [{
                key: 'shouldComponentUpdate',
                value: function shouldComponentUpdate(nextProps) {
                    return !equalityChecker(this.props, nextProps);
                }
            }, {
                key: 'render',
                value: function render() {
                    return _react2.default.createElement(UnpureComponent, this.props);
                }
            }]);

            return PureComponent;
        }(_react2.default.Component);

        PureComponent.displayName = 'Pure(' + (0, _componentName2.default)(UnpureComponent) + ')';


        return PureComponent;
    };
};

exports.default = pure;