'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
// eslint-disable-next-line import/prefer-default-export
var firebaseData = exports.firebaseData = {
    data: {
        chat: {
            users: {
                dispatcher_9: {
                    id: 9,
                    idPrefix: 'dispatcher_',
                    name: 'Standa Dispečerský',
                    online: true,
                    unseenConversations: 0
                },
                dispatcher_8: {
                    id: 8,
                    idPrefix: 'dispatcher_',
                    name: 'Tonda Dohleda',
                    online: true,
                    unseenConversations: 1
                },
                driver_1551: {
                    id: 1551,
                    idPrefix: 'driver_',
                    name: 'Ivona Martinková',
                    unseenConversations: 1
                },
                driver_1552: {
                    id: 1552,
                    idPrefix: 'driver_',
                    name: 'Johny Šmigrl',
                    unseenConversations: 1
                },
                driver_1553: {
                    id: 1552,
                    idPrefix: 'driver_',
                    name: 'Johny Šmigrl',
                    unseenConversations: 1
                }
            },
            usersConversations: {
                dispatcher_9: {
                    driver_1551: {
                        conversation: 'driver_1551',
                        unseenMessagesCount: 2
                    },
                    driver_1552: {
                        conversation: 'driver_1552',
                        unseenMessagesCount: 0
                    },
                    driver_1553: {
                        conversation: 'driver_1553',
                        unseenMessagesCount: 0
                    },
                    driver_1554: {
                        conversation: 'driver_1554',
                        unseenMessagesCount: 0
                    },
                    driver_1555: {
                        conversation: 'driver_1555',
                        unseenMessagesCount: 0
                    }
                }
            },
            conversations: {
                driver_1551: {
                    id: 'driver_1551',
                    name: 'Conversation',
                    users: {
                        dispatcher_9: true,
                        driver_1551: true,
                        dispatcher_8: true
                    },
                    messagesCount: 5
                },
                driver_1552: {
                    id: 'driver_1552',
                    name: 'Conversation',
                    users: {
                        dispatcher_9: true,
                        driver_1552: true
                    },
                    messagesCount: 1
                },
                driver_1553: {
                    id: 'driver_1553',
                    name: 'Conversation',
                    users: {
                        dispatcher_9: true,
                        driver_1553: true
                    },
                    messagesCount: 0
                }
            },
            messages: {
                driver_1551: {
                    '-L7U1HTKI0Vll456sd1': {
                        author: 'driver_1551',
                        text: 'https://cestovani.idnes.cz/berchtesgaden-hitler-orli-hnizdo-dq0-/kolem-sveta.aspx?c=A110719_124752_igsvet_tom',
                        time: 1520939094325,
                        unseen: {}
                    },
                    '-L7U1HTKI0Vlll52RA1': {
                        author: 'dispatcher_9',
                        text: 'http://localhost:6006/?selectedKind=chat%2FConversation&selectedStory=messages&full=0&addons=1&stories=1&panelRight=0&addonPanel=storybook%2Factions%2Factions-panel',
                        time: 1520939094625,
                        unseen: {}
                    },
                    '-L7U1HTKI0Vlll4FpUCj': {
                        author: 'driver_1551',
                        text: 'Testing chat',
                        time: 1520939094772
                    },
                    '-L7U1C3aNgrVDHKD_75h': {
                        author: 'dispatcher_9',
                        text: 'Hi how are you',
                        time: 1520939116908,
                        unseen: {
                            dispatcher_9: true
                        }
                    },
                    '-L7U1C3aNgrVDHKD432j': {
                        author: 'dispatcher_8',
                        text: 'Helloooo do you here me',
                        time: 1520939117826,
                        unseen: {
                            driver_1551: true,
                            dispatcher_9: true
                        }
                    }
                },
                driver_1552: {
                    '-L7U1Lk_hr1yK3Vo1KXb': {
                        author: 'driver_1552',
                        text: 'Whisper into my ear',
                        time: 1520939116908,
                        unseen: {
                            driver_1551: false,
                            dispatcher_9: false
                        }
                    }
                },
                driver_1553: {}
            }
        }
    }
};

var intlMessages = exports.intlMessages = {
    'chat.conversations.search.placeholder': 'Search in conversations',
    'chat.conversations.loading': 'Loading...',
    'chat.conversations.noData': 'No conversations',
    'chat.message.new.placeholder': 'Your new message',
    'chat.button.load': 'Give me more..',
    'chat.conversation.loading': 'Loading conversation...',
    'chat.messages.loading': 'Loading messaages...',
    'chat.messages.noData': 'No messages in conversation',
    'chat.messages.unseen': 'Below are messages you have not seen..',
    'chat.message.new.send': 'Send',
    'chat.message.new.upload': 'Upload'
};