'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TimePickerField = exports.DatePickerField = undefined;

var _dependencies = require('../../dependencies');

var _PickerInput = require('../Inputs/PickerInput');

var _wrapWithField = require('../../HOC/wrapWithField');

var _wrapWithField2 = _interopRequireDefault(_wrapWithField);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DatePickerField = (0, _wrapWithField2.default)(_PickerInput.DatePickerInput, { normalize: function normalize(value) {
    return (0, _dependencies.moment)(value).toISOString();
  } });
var TimePickerField = (0, _wrapWithField2.default)(_PickerInput.TimePickerInput, { normalize: function normalize(value) {
    return (0, _dependencies.moment)(value).toISOString();
  } });

exports.DatePickerField = DatePickerField;
exports.TimePickerField = TimePickerField;