'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.setLocale = setLocale;
exports.getLocale = getLocale;

var _actionTypes = require('../actionTypes');

var _actionTypes2 = _interopRequireDefault(_actionTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function setLocale(locale) {
    return {
        type: _actionTypes2.default.SET_LOCALE,
        locale: locale
    };
}

function getLocale() {
    return {
        type: _actionTypes2.default.GET_LOCALE
    };
}